      subroutine me550( kf, am, p, ans )
C  Calculate the matrix element of the process 550: q qbar -> Z(-> f fbar) 
C  Z(-> f' f'bar).
      implicit real*8(a-h,o-z)
      include 'incl5501.h'
      include 'inclk.h'

      integer kf(6)
      real*8 p(4,6),am(6)

      call g550finit

      do i=1,6
         kfcode(i)= kf(i)
         amass1(i)= am(i)
         amass2(i)= amass1(i)**2
      enddo

      call a550mclr
C      call amparm

C  A diagram selection is done in grcusrfnc550 according to the given 
C  "kfcode".
      ireg= 1
      call grcusrfnc550(ireg)

      do i=1,4
         pe5501(i) = p(i,1)
         pe5502(i) = p(i,2)
         pe5503(i) = p(i,3)
         pe5504(i) = p(i,4)
         pe5505(i) = p(i,5)
         pe5506(i) = p(i,6)
      enddo

      do i=1,6
         do j=1,6
            prod(i,j) = p(4,i)*p(4,j) -p(1,i)*p(1,j) 
     >           - p(2,i)*p(2,j) -p(3,i)*p(3,j)
         enddo
      enddo

      call a550kptbl
      call a550mptbl
      call a550mpsum( ansm )
      ans= ansm*aspin

      return
      end
