      subroutine me421( p, ans )
C  Calculate the matrix element of the process 421: u dbar -> e+ e_nu.
      implicit real*8(a-h,o-z)
      include 'incl4211.h'
      include 'inclk.h'

      real*8 p(4,4)

      call g421finit
      call a421mclr
C      call amparm

      do i=1,4
         pe4211(i) = p(i,1)
         pe4212(i) = p(i,2)
         pe4213(i) = p(i,3)
         pe4214(i) = p(i,4)
      enddo

      do i=1,4
         do j=1,4
            prod(i,j) = p(4,i)*p(4,j) -p(1,i)*p(1,j) 
     >           - p(2,i)*p(2,j) -p(3,i)*p(3,j)
         enddo
      enddo

      do i=1,4
         amass2(i)= p(4,i)**2 -p(3,i)**2 -p(2,i)**2 -p(1,i)**2
         if( amass2(i).lt.0.d0 ) amass2(i)= 0.d0
         amass1(i)= sqrt( amass2(i) )
      enddo

      call a421kptbl
      call a421mptbl
      call a421mpsum( ansm )
      ans= ansm*aspin

      return
      end
