************************************************************************
*             Graph No. 1 - 1
*         Generated No. 1
************************************************************************
      subroutine a422g1
      implicit real*8(a-h,o-z)

      include 'incl4221.h'
      include 'inclk.h'
      include 'incl422p.h'
*-----------------------------------------------------------------------
      common /amwork/cf4226q,av5,av6,av7,av8,ex4226q,pt4226q,
     &               ev42225b,eq42225b
      common /amwori/lt5,lt6,lt7,lt8
*     1936 (1936) + 68 (68) bytes used

      integer    lt5(0:3),lt6(0:3),lt7(0:3),lt8(0:4)
      real*8     ex4226q(2),pt4226q(4,3),ev42225b(lepinv),
     &           eq42225b(4,lepinv)
      complex*16 cf4226q(2,4)
      complex*16 av5(lextrn*lintrn*lepexa)
      complex*16 av6(lintrn*lextrn*lepinv)
      complex*16 av7(lextrn*lextrn*lepinv)
      complex*16 av8(lextrn*lepexa*lextrn*lepinv)
      complex*16 atmp
      real*8     cwgt(0:1)

*-----------------------------------------------------------------------

* Denominators of propagators
      aprop = 1.0d0
      call snprpd(pphase,aprop,vn4226,amass2(1),amass1(1)*aguq(1))
      call snprpd(pphase,aprop,vn42225,amw**2,amw*agw)

* Internal momenta
      call smintf(amass1(1),pf4226,vn4226,ex4226q,pt4226q,cf4226q)
      call smintv(lepinv,amw,pf42225,eq42225b,ev42225b,vn42225,igauwb)

* Vertices (8)

*     5(0): pf4226 u
*     5(1): pf4222 u
*     5(2): pf4224 gluon
      call smffv(lextrn,lintrn,lepexa,ex4222q,ex4226q,
     $     amass1(1),amass1(1),cguu(1,1),
     $     cf4222q,cf4226q,pt4222q,pt4226q,eq4224e,lt5,av5)

*     6(0): pf42230 d
*     6(1): pf4226 u
*     6(2): pf42225 w-plus
      call smffv(lintrn,lextrn,lepinv,ex4226q,ex42230t,
     $     amass1(1),amass1(5),cwdu(1,1),
     $     cf4226q,cf42230t,pt4226q,pt42230t,eq42225b,lt6,av6)

*     7(0): pf42217 nu-e
*     7(1): pf4229 electron
      call smffv(lextrn,lextrn,lepinv,ex4229n,ex42217k,
     $     amass1(3),amass1(4),cwnl(1,1),
     $     cf4229n,cf42217k,pt4229n,pt42217k,eq42225b,lt7,av7)

      call smconf(lt5,lt6,2,1,ex4226q,av5,av6,lt8,av8)
      call smconv(lt7,lt8,3,4,ev42225b,av7,av8,lt,av)

      sym = + 1.0d0
      aprop         = sym/aprop

      indexg(1) = 3
      indexg(2) = 4
      indexg(3) = 1
      indexg(4) = 2
      indexg(5) = 5

      if(jcpol(2).ne.0) call smcpol(4, lt, av)

      call a422mpord(lt, av, indexg, agcwrk)

      ancp(jgraph) = 0.0d0
*     nbase = 2
      cwgt(0) = -1.d0/6.d0
      cwgt(1) = 1.d0/2.d0
      do 500 ic = 0 , ncbase-1
      do 500 ih = 0 , l422ag-1
         atmp       =  cwgt(ic)*agcwrk(ih)*aprop
         agc(ih,ic) = agc(ih,ic) + atmp
         ancp(jgraph) = ancp(jgraph) + atmp*conjg(atmp)
  500 continue

      return
      end
************************************************************************
*             Graph No. 3 - 1
*         Generated No. 3
************************************************************************
      subroutine a422g3
      implicit real*8(a-h,o-z)

      include 'incl4221.h'
      include 'inclk.h'
      include 'incl422p.h'
*-----------------------------------------------------------------------
      common /amwork/cf42226t,av5,av6,av7,av8,ex42226t,pt42226t,
     &               ev42225b,eq42225b
      common /amwori/lt5,lt6,lt7,lt8
*     1936 (1936) + 68 (68) bytes used

      integer    lt5(0:3),lt6(0:3),lt7(0:3),lt8(0:4)
      real*8     ex42226t(2),pt42226t(4,3),ev42225b(lepinv),
     &           eq42225b(4,lepinv)
      complex*16 cf42226t(2,4)
      complex*16 av5(lextrn*lintrn*lepinv)
      complex*16 av6(lintrn*lextrn*lepexa)
      complex*16 av7(lextrn*lextrn*lepinv)
      complex*16 av8(lextrn*lepinv*lextrn*lepexa)
      complex*16 atmp
      real*8     cwgt(0:1)

*-----------------------------------------------------------------------

* Denominators of propagators
      aprop = 1.0d0
      call snprpd(pphase,aprop,vn42226,amass2(5),amass1(5)*agdq(1))
      call snprpd(pphase,aprop,vn42225,amw**2,amw*agw)

* Internal momenta
      call smintf(amass1(5),pf42226,vn42226,ex42226t,pt42226t,cf42226t)
      call smintv(lepinv,amw,pf42225,eq42225b,ev42225b,vn42225,igauwb)

* Vertices (8)

*     5(0): pf42226 d
*     5(1): pf4222 u
*     5(2): pf42225 w-plus
      call smffv(lextrn,lintrn,lepinv,ex4222q,ex42226t,
     $     amass1(1),amass1(5),cwdu(1,1),
     $     cf4222q,cf42226t,pt4222q,pt42226t,eq42225b,lt5,av5)

*     6(0): pf42230 d
*     6(1): pf42226 d
*     6(2): pf4224 gluon
      call smffv(lintrn,lextrn,lepexa,ex42226t,ex42230t,
     $     amass1(5),amass1(5),cgdd(1,1),
     $     cf42226t,cf42230t,pt42226t,pt42230t,eq4224e,lt6,av6)

*     7(0): pf42217 nu-e
*     7(1): pf4229 electron
      call smffv(lextrn,lextrn,lepinv,ex4229n,ex42217k,
     $     amass1(3),amass1(4),cwnl(1,1),
     $     cf4229n,cf42217k,pt4229n,pt42217k,eq42225b,lt7,av7)

      call smconf(lt5,lt6,2,1,ex42226t,av5,av6,lt8,av8)
      call smconv(lt7,lt8,3,2,ev42225b,av7,av8,lt,av)

      sym = + 1.0d0
      aprop         = sym/aprop

      indexg(1) = 3
      indexg(2) = 4
      indexg(3) = 1
      indexg(4) = 5
      indexg(5) = 2

      if(jcpol(2).ne.0) call smcpol(5, lt, av)

      call a422mpord(lt, av, indexg, agcwrk)

      ancp(jgraph) = 0.0d0
*     nbase = 2
      cwgt(0) = -1.d0/6.d0
      cwgt(1) = 1.d0/2.d0
      do 500 ic = 0 , ncbase-1
      do 500 ih = 0 , l422ag-1
         atmp       =  cwgt(ic)*agcwrk(ih)*aprop
         agc(ih,ic) = agc(ih,ic) + atmp
         ancp(jgraph) = ancp(jgraph) + atmp*conjg(atmp)
  500 continue

      return
      end
************************************************************************
*             Graph No. 1 - 1
*         Generated No. 1
************************************************************************
      subroutine a422h1
      implicit real*8(a-h,o-z)

      include 'incl4221.h'
      include 'inclk.h'
      include 'incl422p.h'
*-----------------------------------------------------------------------
      common /amwork/cf4227t,av5,av6,av7,av8,ex4227t,pt4227t,
     &               ev42225b,eq42225b
      common /amwori/lt5,lt6,lt7,lt8
*     1936 (1936) + 68 (68) bytes used

      integer    lt5(0:3),lt6(0:3),lt7(0:3),lt8(0:4)
      real*8     ex4227t(2),pt4227t(4,3),ev42225b(lepinv),
     &           eq42225b(4,lepinv)
      complex*16 cf4227t(2,4)
      complex*16 av5(lintrn*lextrn*lepexa)
      complex*16 av6(lextrn*lintrn*lepinv)
      complex*16 av7(lextrn*lextrn*lepinv)
      complex*16 av8(lextrn*lepexa*lextrn*lepinv)
      complex*16 atmp
      real*8     cwgt(0:1)

*-----------------------------------------------------------------------

* Denominators of propagators
      aprop = 1.0d0
      call snprpd(pphase,aprop,vn4227,amass2(1),amass1(1)*agdq(1))
      call snprpd(pphase,aprop,vn42225,amw**2,amw*agw)

* Internal momenta
      call smintf(amass1(1),pf4227,vn4227,ex4227t,pt4227t,cf4227t)
      call smintv(lepinv,amw,pf42225,eq42225b,ev42225b,vn42225,igauwb)

* Vertices (8)

*     5(0): pf4222 d
*     5(1): pf4227 d
*     5(2): pf4224 gluon
      call smffv(lintrn,lextrn,lepexa,ex4227t,ex4222q,
     $     amass1(1),amass1(1),cgdd(1,1),
     $     cf4227t,cf4222q,pt4227t,pt4222q,eq4224e,lt5,av5)

*     6(0): pf4227 d
*     6(1): pf42230 u
*     6(2): pf42225 w-plus
      call smffv(lextrn,lintrn,lepinv,ex42230t,ex4227t,
     $     amass1(5),amass1(1),cwdu(1,1),
     $     cf42230t,cf4227t,pt42230t,pt4227t,eq42225b,lt6,av6)

*     7(0): pf42217 nu-e
*     7(1): pf4229 electron
      call smffv(lextrn,lextrn,lepinv,ex4229n,ex42217k,
     $     amass1(3),amass1(4),cwnl(1,1),
     $     cf4229n,cf42217k,pt4229n,pt42217k,eq42225b,lt7,av7)

      call smconf(lt5,lt6,1,2,ex4227t,av5,av6,lt8,av8)
      call smconv(lt7,lt8,3,4,ev42225b,av7,av8,lt,av)

      sym = - 1.0d0
      aprop         = sym/aprop

      indexg(1) = 3
      indexg(2) = 4
      indexg(3) = 1
      indexg(4) = 2
      indexg(5) = 5

      if(jcpol(2).ne.0) call smcpol(4, lt, av)

      call a422mpord(lt, av, indexg, agcwrk)

      ancp(jgraph) = 0.0d0
*     nbase = 2
      cwgt(0) = -1.d0/6.d0
      cwgt(1) = 1.d0/2.d0
      do 500 ic = 0 , ncbase-1
      do 500 ih = 0 , l422ag-1
         atmp       =  cwgt(ic)*agcwrk(ih)*aprop
         agc(ih,ic) = agc(ih,ic) + atmp
         ancp(jgraph) = ancp(jgraph) + atmp*conjg(atmp)
  500 continue

      return
      end
************************************************************************
*             Graph No. 3 - 1
*         Generated No. 3
************************************************************************
      subroutine a422h3
      implicit real*8(a-h,o-z)

      include 'incl4221.h'
      include 'inclk.h'
      include 'incl422p.h'
*-----------------------------------------------------------------------
      common /amwork/cf42227q,av5,av6,av7,av8,ex42227q,pt42227q,
     &               ev42225b,eq42225b
      common /amwori/lt5,lt6,lt7,lt8
*     1936 (1936) + 68 (68) bytes used

      integer    lt5(0:3),lt6(0:3),lt7(0:3),lt8(0:4)
      real*8     ex42227q(2),pt42227q(4,3),ev42225b(lepinv),
     &           eq42225b(4,lepinv)
      complex*16 cf42227q(2,4)
      complex*16 av5(lintrn*lextrn*lepinv)
      complex*16 av6(lextrn*lintrn*lepexa)
      complex*16 av7(lextrn*lextrn*lepinv)
      complex*16 av8(lextrn*lepinv*lextrn*lepexa)
      complex*16 atmp
      real*8     cwgt(0:1)

*-----------------------------------------------------------------------

* Denominators of propagators
      aprop = 1.0d0
      call snprpd(pphase,aprop,vn42227,amass2(5),amass1(5)*aguq(1))
      call snprpd(pphase,aprop,vn42225,amw**2,amw*agw)

* Internal momenta
      call smintf(amass1(5),pf42227,vn42227,ex42227q,pt42227q,cf42227q)
      call smintv(lepinv,amw,pf42225,eq42225b,ev42225b,vn42225,igauwb)

* Vertices (8)

*     5(0): pf4222 d
*     5(1): pf42227 u
*     5(2): pf42225 w-plus
      call smffv(lintrn,lextrn,lepinv,ex42227q,ex4222q,
     $     amass1(5),amass1(1),cwdu(1,1),
     $     cf42227q,cf4222q,pt42227q,pt4222q,eq42225b,lt5,av5)

*     6(0): pf42227 u
*     6(1): pf42230 u
*     6(2): pf4224 gluon
      call smffv(lextrn,lintrn,lepexa,ex42230t,ex42227q,
     $     amass1(5),amass1(5),cguu(1,1),
     $     cf42230t,cf42227q,pt42230t,pt42227q,eq4224e,lt6,av6)

*     7(0): pf42217 nu-e
*     7(1): pf4229 electron
      call smffv(lextrn,lextrn,lepinv,ex4229n,ex42217k,
     $     amass1(3),amass1(4),cwnl(1,1),
     $     cf4229n,cf42217k,pt4229n,pt42217k,eq42225b,lt7,av7)

      call smconf(lt5,lt6,1,2,ex42227q,av5,av6,lt8,av8)
      call smconv(lt7,lt8,3,2,ev42225b,av7,av8,lt,av)

      sym = - 1.0d0
      aprop         = sym/aprop

      indexg(1) = 3
      indexg(2) = 4
      indexg(3) = 1
      indexg(4) = 5
      indexg(5) = 2

      if(jcpol(2).ne.0) call smcpol(5, lt, av)

      call a422mpord(lt, av, indexg, agcwrk)

      ancp(jgraph) = 0.0d0
*     nbase = 2
      cwgt(0) = -1.d0/6.d0
      cwgt(1) = 1.d0/2.d0
      do 500 ic = 0 , ncbase-1
      do 500 ih = 0 , l422ag-1
         atmp       =  cwgt(ic)*agcwrk(ih)*aprop
         agc(ih,ic) = agc(ih,ic) + atmp
         ancp(jgraph) = ancp(jgraph) + atmp*conjg(atmp)
  500 continue

      return
      end
************************************************************************
