      subroutine me552( kf, am, p, ans )
C  Calculate the matrix element of the process 552: q q'bar -> Z(-> f fbar) 
C  W(-> f' f''bar).
      implicit real*8(a-h,o-z)
      include 'incl5521.h'
      include 'inclk.h'

      integer kf(6)
      real*8 p(4,6),am(6)

      call g552finit

      do i=1,6
         kfcode(i)= kf(i)
         amass1(i)= am(i)
         amass2(i)= amass1(i)**2
      enddo

      call a552mclr
C      call amparm

C  A diagram selection is done in grcusrfnc552 according to the given 
C  "kfcode".
      ireg= 1
      call grcusrfnc552(ireg)

      do i=1,4
         pe5521(i) = p(i,1)
         pe5522(i) = p(i,2)
         pe5523(i) = p(i,3)
         pe5524(i) = p(i,4)
         pe5525(i) = p(i,5)
         pe5526(i) = p(i,6)
      enddo

      do i=1,6
         do j=1,6
            prod(i,j) = p(4,i)*p(4,j) -p(1,i)*p(1,j) 
     >           - p(2,i)*p(2,j) -p(3,i)*p(3,j)
         enddo
      enddo

      call a552kptbl
      call a552mptbl
      call a552mpsum( ansm )
      ans= ansm*aspin

      return
      end
