      SUBROUTINE UPEVNT

C  An "LhaExt" version of UPEVNT.
C
C  This routine reads in one event from a data file.
C  The actual read action is done by "lhaReadEvnt".
C  The end-of-data of the input is signaled to the calling routine by
C  setting NUP = 0.
C
C  June 8, 2004, S. Odaka (KEK)

      IMPLICIT NONE

      integer lunctl,lundat,ifmt
      common /lharead/lunctl,lundat,ifmt

C...User process event common block.
      INTEGER MAXNUP
      PARAMETER (MAXNUP=500) 
      INTEGER NUP,IDPRUP,IDUP,ISTUP,MOTHUP,ICOLUP
      DOUBLE PRECISION XWGTUP,SCALUP,AQEDUP,AQCDUP,PUP,VTIMUP,SPINUP  
      COMMON/HEPEUP/NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP,IDUP(MAXNUP),
     &ISTUP(MAXNUP),MOTHUP(2,MAXNUP),ICOLUP(2,MAXNUP),PUP(5,MAXNUP),
     &VTIMUP(MAXNUP),SPINUP(MAXNUP)  
      SAVE /HEPEUP/ 

C  Read an event record.
      call lhaReadEvnt(lunctl,lundat,ifmt,*9)

C      if( IDPRUP.eq.100 ) then
C         call check_w0j
C      elseif( IDPRUP.eq.101 ) then
C         call check_w1j
C      endif

      return

C  No more file to read.
 9    continue
      NUP= 0
      return

      END
